/* Project name:
     TFT
 * Copyright:
     (c) MikroElektronika, 2010
 * Revision History:
     20101123 (TL):
       - initial release;
     20110906(JK):
       - modified for Hw. Rev. 1.10
 * Description:
     This code demonstrates how to use 320x240 TFT Screen.
     TFT is first initialized, after that you can see full-colour picture.
 * Test configuration:
     MCU:             PIC24FJ256GB110
                      http://ww1.microchip.com/downloads/en/DeviceDoc/39897c.pdf
     Dev.Board:       mikroMMB for PIC24
                      http://www.mikroe.com/eng/products/view/587/mikrommb-for-pic24-board/
     Oscillator:      HS-PLL 4x, 08.00000 MHz
     Module:          ac:TFT_display
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/eng/products/view/231/mikroc-pro-for-dspic30-33-and-pic24/
 * NOTES:
     - none.
*/

#include <built_in.h>

unsigned short TFT_DataPort at LATE;                  // DATA port
unsigned short TFT_DataPort_Direction at TRISE;       // DATA port

sbit TFT_RST at LATC1_bit;
sbit TFT_RS at LATB15_bit;
sbit TFT_CS at LATF12_bit;
sbit TFT_RD at LATD5_bit;
sbit TFT_WR at LATD4_bit;

sbit TFT_RS_Direction  at TRISB15_bit;
sbit TFT_RST_Direction at TRISC1_bit;
sbit TFT_CS_Direction  at TRISF12_bit;
sbit TFT_RD_Direction  at TRISD5_bit;
sbit TFT_WR_Direction  at TRISD4_bit;

/*********************************************************************/
const code far char Image1_pic24_img[36265];

void main() {
  AD1PCFGL = 0xFFFF;
  AD1PCFGH = 0xFFFF;
  Delay_ms(150);

  TFT_Init(320, 240);
  TFT_Fill_Screen(CL_WHITE);

  TFT_Image_Jpeg(0, 0, Image1_pic24_img);
  Delay_ms(1000);
}