/*
 * Project name:
     USB
 * Copyright:
     (c) MikroElektronika, 2010
 * Revision History:
     20100401:
       - initial release;
     20110906(JK):
       - modified for Hw. Rev. 1.10
 * Description:
     This example establishes connection with the HID terminal that is active
     on the PC. Upon connection establishment, the HID Device Name will appear
     in the respective window. The character that user sends to PIC from the HID
     terminal will be re-sent back to user.
 * Test configuration:
     MCU:             PIC24FJ256GB110
                      http://ww1.microchip.com/downloads/en/DeviceDoc/39897c.pdf
     Dev.Board:       mikroMMB for PIC24
                      http://www.mikroe.com/eng/products/view/587/mikrommb-for-pic24-board/
     Oscillator:      XT-PLL 4x, 08.00000 MHz
     Modules:         ac:USB
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/eng/products/view/231/mikroc-pro-for-dspic30-33-and-pic24/
 * NOTES:  -

*/

char cnt;
char readbuff[64];
char writebuff[64];

void USB1Interrupt() iv IVT_ADDR_USB1INTERRUPT{
   USB_Interrupt_Proc();
}

void main(void){
  AD1PCFGL = 0xFFFF;

  HID_Enable(&readbuff,&writebuff);

  while(1){
    while(!HID_Read())
      ;

    for(cnt=0;cnt<64;cnt++)
      writebuff[cnt]=readbuff[cnt];

    while(!HID_Write(&writebuff,64))
      ;
  }
}